"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _reactIntl = require("react-intl");
var _cspaceInput = require("cspace-input");
var _immutable = _interopRequireDefault(require("immutable"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const {
  labelable,
  repeatable
} = _cspaceInput.enhancers;
const BaseStructuredDateInput = repeatable(labelable(_cspaceInput.baseComponents.StructuredDateInput));
const fieldMessages = (0, _reactIntl.defineMessages)({
  earliestSingle: {
    "id": "field.structuredDate.earliestSingle",
    "defaultMessage": "Earliest/Single"
  },
  latest: {
    "id": "field.structuredDate.latest",
    "defaultMessage": "Latest"
  },
  datePeriod: {
    "id": "field.structuredDate.datePeriod",
    "defaultMessage": "Period"
  },
  dateAssociation: {
    "id": "field.structuredDate.dateAssociation",
    "defaultMessage": "Association"
  },
  dateNote: {
    "id": "field.structuredDate.dateNote",
    "defaultMessage": "Note"
  },
  dateYear: {
    "id": "field.structuredDate.dateYear",
    "defaultMessage": "Year"
  },
  dateMonth: {
    "id": "field.structuredDate.dateMonth",
    "defaultMessage": "Month"
  },
  dateDay: {
    "id": "field.structuredDate.dateDay",
    "defaultMessage": "Day"
  },
  dateEra: {
    "id": "field.structuredDate.dateEra",
    "defaultMessage": "Era"
  },
  dateCertainty: {
    "id": "field.structuredDate.dateCertainty",
    "defaultMessage": "Certainty"
  },
  dateQualifier: {
    "id": "field.structuredDate.dateQualifier",
    "defaultMessage": "Qualifier"
  },
  dateQualifierValue: {
    "id": "field.structuredDate.dateQualifierValue",
    "defaultMessage": "Value"
  },
  dateQualifierUnit: {
    "id": "field.structuredDate.dateQualifierUnit",
    "defaultMessage": "Unit"
  }
});
const messages = (0, _reactIntl.defineMessages)({
  parseFailed: {
    "id": "structuredDateInput.parseFailed",
    "defaultMessage": "Unrecognized display date format. Try a different format, or enter values in the fields below."
  }
});
const propTypes = {
  // eslint-disable-next-line react/forbid-foreign-prop-types
  ...BaseStructuredDateInput.propTypes,
  config: _propTypes.default.shape({
    structDateVocabNames: _propTypes.default.arrayOf(_propTypes.default.string)
  }),
  intl: _reactIntl.intlShape,
  perms: _propTypes.default.instanceOf(_immutable.default.Map),
  readTerms: _propTypes.default.func,
  structDateVocabNames: _propTypes.default.arrayOf(_propTypes.default.string)
};
class StructuredDateInput extends _react.Component {
  constructor() {
    super();
    this.formatFieldLabel = this.formatFieldLabel.bind(this);
    this.formatOptionLabel = this.formatOptionLabel.bind(this);
    this.formatParseFailedMessage = this.formatParseFailedMessage.bind(this);
  }
  componentDidMount() {
    const {
      config,
      readTerms,
      structDateVocabNames: propStructDateVocabNames
    } = this.props;
    if (readTerms) {
      const structDateVocabNames = propStructDateVocabNames || config.structDateVocabNames;
      structDateVocabNames.forEach(vocabName => {
        readTerms(vocabName);
      });
    }
  }
  componentDidUpdate(prevProps) {
    const {
      config,
      perms,
      readTerms,
      structDateVocabNames: propStructDateVocabNames
    } = this.props;
    const {
      perms: prevPerms
    } = prevProps;
    if (readTerms && perms !== prevPerms) {
      const structDateVocabNames = propStructDateVocabNames || config.structDateVocabNames;
      structDateVocabNames.forEach(vocabName => {
        readTerms(vocabName);
      });
    }
  }
  formatFieldLabel(name) {
    const {
      intl
    } = this.props;
    return intl.formatMessage(fieldMessages[name]);
  }
  formatOptionLabel(option) {
    const {
      intl
    } = this.props;
    return option.message ? intl.formatMessage(option.message) : option.value;
  }
  formatParseFailedMessage() {
    const {
      intl
    } = this.props;
    return intl.formatMessage(messages.parseFailed);
  }
  render() {
    const {
      config,
      intl,
      perms,
      readTerms,
      structDateVocabNames,
      ...remainingProps
    } = this.props;
    return /*#__PURE__*/_react.default.createElement(BaseStructuredDateInput, _extends({
      defaultValue: _immutable.default.Map(),
      formatFieldLabel: this.formatFieldLabel,
      formatOptionLabel: this.formatOptionLabel,
      formatParseFailedMessage: this.formatParseFailedMessage
    }, remainingProps));
  }
}
StructuredDateInput.propTypes = propTypes;
const IntlAwareStructuredDateInput = (0, _reactIntl.injectIntl)(StructuredDateInput);
IntlAwareStructuredDateInput.propTypes = StructuredDateInput.propTypes;
var _default = exports.default = IntlAwareStructuredDateInput;