"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getImageViewerPath = exports.getDerivativePath = exports.VIEWER_WINDOW_NAME = void 0;
const VIEWER_WINDOW_NAME = exports.VIEWER_WINDOW_NAME = 'viewer';
const getImageViewerPath = (config, imagePath) => {
  const {
    basename
  } = config;
  return `${basename || ''}/view/${imagePath}`;
};
exports.getImageViewerPath = getImageViewerPath;
const getDerivativePath = (csid, derivative) => {
  const derivativePath = derivative ? `/derivatives/${derivative}` : '';
  return `blobs/${csid}${derivativePath}/content`;
};
exports.getDerivativePath = getDerivativePath;