"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.WorkflowStateInput = exports.UploadInput = exports.URLInput = exports.TextInput = exports.TermPickerInput = exports.StructuredDateInput = exports.RolesInput = exports.RichTextInput = exports.ReadOnlyInput = exports.PermissionsInput = exports.PasswordInput = exports.OptionPickerInput = exports.ObjectNameInput = exports.IDGeneratorInput = exports.HierarchyInput = exports.FieldTextInput = exports.DateTimeInput = exports.DateInput = exports.CompoundInput = exports.CheckboxInput = exports.Button = exports.AutocompleteInput = void 0;
var _cspaceInput = require("cspace-input");
var _CheckboxInput = _interopRequireDefault(require("../components/record/CheckboxInput"));
var _ObjectNameInput = _interopRequireDefault(require("../components/record/ObjectNameInput"));
var _URLInput = _interopRequireDefault(require("../components/record/URLInput"));
var _WorkflowStateInput = _interopRequireDefault(require("../components/record/WorkflowStateInput"));
var _DateInputContainer = _interopRequireDefault(require("../containers/input/DateInputContainer"));
var _DateTimeInputContainer = _interopRequireDefault(require("../containers/input/DateTimeInputContainer"));
var _FieldTextInputContainer = _interopRequireDefault(require("../containers/input/FieldTextInputContainer"));
var _HierarchyInputContainer = _interopRequireDefault(require("../containers/record/HierarchyInputContainer"));
var _IDGeneratorInputContainer = _interopRequireDefault(require("../containers/input/IDGeneratorInputContainer"));
var _OptionPickerInputContainer = _interopRequireDefault(require("../containers/record/OptionPickerInputContainer"));
var _UploadInputContainer = _interopRequireDefault(require("../containers/input/UploadInputContainer"));
var _PermissionsInputContainer = _interopRequireDefault(require("../containers/admin/PermissionsInputContainer"));
var _MiniViewPopupAutocompleteInputContainer = _interopRequireDefault(require("../containers/record/MiniViewPopupAutocompleteInputContainer"));
var _RolesInputContainer = _interopRequireDefault(require("../containers/admin/RolesInputContainer"));
var _StructuredDateInputContainer = _interopRequireDefault(require("../containers/record/StructuredDateInputContainer"));
var _TermPickerInputContainer = _interopRequireDefault(require("../containers/record/TermPickerInputContainer"));
var _withBooleanValue = _interopRequireDefault(require("../enhancers/withBooleanValue"));
var _withCsid = _interopRequireDefault(require("../enhancers/withCsid"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const {
  labelable,
  repeatable
} = _cspaceInput.enhancers;
const AutocompleteInput = exports.AutocompleteInput = repeatable(labelable(_MiniViewPopupAutocompleteInputContainer.default));
AutocompleteInput.toJSON = () => 'AutocompleteInput';
const {
  Button
} = _cspaceInput.components;
exports.Button = Button;
Button.toJSON = () => 'Button';
const CheckboxInput = exports.CheckboxInput = (0, _withBooleanValue.default)(_CheckboxInput.default);
CheckboxInput.toJSON = () => 'CheckboxInput';
const {
  CompoundInput
} = _cspaceInput.components;
exports.CompoundInput = CompoundInput;
CompoundInput.toJSON = () => 'CompoundInput';
const DateInput = exports.DateInput = _DateInputContainer.default;
DateInput.toJSON = () => 'DateInput';
const DateTimeInput = exports.DateTimeInput = _DateTimeInputContainer.default;
DateTimeInput.toJSON = () => 'DateTimeInput';
const FieldTextInput = exports.FieldTextInput = _FieldTextInputContainer.default;
FieldTextInput.toJSON = () => 'FieldTextInput';
const HierarchyInput = exports.HierarchyInput = (0, _withCsid.default)(_HierarchyInputContainer.default);
HierarchyInput.toJSON = () => 'HierarchyInput';
const IDGeneratorInput = exports.IDGeneratorInput = _IDGeneratorInputContainer.default;
IDGeneratorInput.toJSON = () => 'IDGeneratorInput';
const ObjectNameInput = exports.ObjectNameInput = repeatable(labelable(_ObjectNameInput.default));
ObjectNameInput.toJSON = () => 'ObjectNameInput';
const {
  PasswordInput
} = _cspaceInput.components;
exports.PasswordInput = PasswordInput;
PasswordInput.toJSON = () => 'PasswordInput';
const PermissionsInput = exports.PermissionsInput = labelable(_PermissionsInputContainer.default);
PermissionsInput.toJSON = () => 'PermissionsInput';
const RolesInput = exports.RolesInput = labelable(_RolesInputContainer.default);
RolesInput.toJSON = () => 'RolesInput';
const StructuredDateInput = exports.StructuredDateInput = _StructuredDateInputContainer.default;
StructuredDateInput.toJSON = () => 'StructuredDateInput';
const {
  ReadOnlyInput
} = _cspaceInput.components;
exports.ReadOnlyInput = ReadOnlyInput;
ReadOnlyInput.toJSON = () => 'ReadOnlyInput';
const {
  RichTextInput
} = _cspaceInput.components;
exports.RichTextInput = RichTextInput;
RichTextInput.toJSON = () => 'RichTextInput';
const {
  TextInput
} = _cspaceInput.components;
exports.TextInput = TextInput;
TextInput.toJSON = () => 'TextInput';
const OptionPickerInput = exports.OptionPickerInput = _OptionPickerInputContainer.default;
OptionPickerInput.toJSON = () => 'OptionPickerInput';
const TermPickerInput = exports.TermPickerInput = _TermPickerInputContainer.default;
TermPickerInput.toJSON = () => 'TermPickerInput';
const UploadInput = exports.UploadInput = _UploadInputContainer.default;
UploadInput.toJSON = () => 'UploadInput';
const URLInput = exports.URLInput = _URLInput.default;
URLInput.toJSON = () => 'URLInput';
const WorkflowStateInput = exports.WorkflowStateInput = _WorkflowStateInput.default;
WorkflowStateInput.toJSON = () => 'WorkflowStateInput';